> ## Documentation Index
> Fetch the complete documentation index at: https://terminal-docs.xendit.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Retry Terminal Payment Session



## OpenAPI

````yaml /openapi-spec.yaml post /v1/terminal/sessions/{id}/retry
openapi: 3.0.3
info:
  title: Xendit in-person payments API (H2H)
  version: 0.5.1
  description: >-
    API specification for Xendit's in-person payments H2H payment sessions and
    command endpoints.
servers:
  - url: https://terminal-dev.xendit.co
    description: Development
  - url: https://terminal.xendit.co
    description: Live
security: []
paths:
  /v1/terminal/sessions/{id}/retry:
    post:
      tags:
        - In-person payments H2H API
      summary: Retry Terminal Payment Session
      operationId: retryTerminalPaymentSession
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            pattern: >-
              ^[0-9a-fA-F]{8}\-[0-9a-fA-F]{4}\-[0-9a-fA-F]{4}\-[0-9a-fA-F]{4}\-[0-9a-fA-F]{12}$
          description: Terminal Session ID
      responses:
        '200':
          description: Terminal Payment Session fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RetrySessionResponse'
      security:
        - BasicAuth: []
components:
  schemas:
    RetrySessionResponse:
      type: object
      properties:
        code:
          type: string
          example: SUCCESS
        error_code:
          type: string
          example: ''
        message:
          type: string
          example: Payment session retried successfully
  securitySchemes:
    BasicAuth:
      type: http
      scheme: basic

````